<?php 

error_reporting(E_ALL ^ E_NOTICE);
require_once("function.php"); 

if($_GET['urlc'] || $_GET['search']){

    if($_GET['search']){

        $buscar     =   $_GET['search'];

        $titulocat  =   "Buscando por '".$_GET['search']."'";

        $msgerro    =   "Esta busca não trouxe resultados.";

        $selectprod =   mysql_query("SELECT p.imagem_principal, p.cod, p.nome, p.preco, p.preco_promocional, p.url_seo FROM tb_produto p WHERE p.status = 1 AND p.preco <> '0.00' AND CONCAT_WS ( ' ', p.nome, p.sku, p.busca_interna ) LIKE '%$buscar%'");


        $config["title"] = "Buscando por $buscar";
        $config["description"] = "Encontre $buscar aqui na Marseille. Acesse agora mesmo e confira os modelos.";
        $config["canonical"] = HOST."categoria.php?search=".$buscar;
        $config["og_title"] = $config["title"];
        $config["og_url"] = $config["canonical"];
        $config["og_imagem"] = "";
        $config["og_desc"] = $config["description"];
        $config["pag"] = "intern";
        pegaTopo($config);

    } else {

    $urlc   =   $_GET['urlc'];

    $selectcat =   mysql_query("SELECT * FROM tb_categoria WHERE url_seo = '$urlc' LIMIT 1");

    if(mysql_num_rows($selectcat) == 0){

            Header("HTTP/1.1 301 Moved Permanently");
            Header("Location: ../../");

    } else {

        $sqlcat  =   mysql_fetch_array($selectcat);

        $cod        =   $sqlcat['cod'];
        global $cod;
        $title_seo  =   $sqlcat['titulo_seo'];
        $desc_seo   =   $sqlcat['desc_seo'];
        $url_seo   =   $sqlcat['url_seo'];
        $titulocat  =   $sqlcat['nome'];
        $msgerro    =   "Esta categoria não possui produtos.";

         $selectprod =   mysql_query("SELECT p.cod, p.imagem_principal, p.nome, p.preco, p.preco_promocional, p.url_seo FROM tb_produto p, tb_prod_cat pc WHERE p.preco <> '0.00' AND $cod = pc.cod_cat AND p.cod = pc.cod_prod");

        if($title_seo <> ""){
            $config["title"] = $title_seo;
        } else {
            $config["title"] = $sqlcat['nome']." | ".CLIENTE;

        }
        if($desc_seo <> ""){
            $config["description"] = $desc_seo; 
        } else {
            $config["description"] = $sqlcat['descricao_curta'];
        }

        $config["title"] = $config["title"];
        $config["description"] = $config["description"];
        $config["canonical"] = HOST."c/".$url_seo;
        $config["og_title"] = $config["title"];
        $config["og_url"] = $config["canonical"];
        $config["og_imagem"] = "";
        $config["og_desc"] = $config["description"];
        $config["pag"] = "intern";
        pegaTopo($config);

    } }

?>
    
    <div class="content-intern">

        <div class="content-align">

            <div id="categoria">

                <h1 class="title-page"><?php echo $titulocat ?></h1>

                <?php if($sqlcat['imagem'] <> "" && $sqlcat['descricao'] <> ""){ ?>

                <section class="content-categoria">

                    <div class="img-categoria">
                        <img src="<?php echo HOST."images/categoria/".$sqlcat['imagem'] ?>" alt="Linha <?php echo $titulocat ?>" >
                    </div>

                    <div class="text-categoria">
                        <?php echo $sqlcat['descricao'] ?>

                    </div>
                    
                </section>

                <?php } ?>

                <section class="produtos">

                <?php


                if(mysql_num_rows($selectprod) > 0){

                while($sqlprod    =   mysql_fetch_array($selectprod)){

                    $url = HOST."p/".$sqlprod['url_seo'];
                    $codprod    =   $sqlprod['cod'];
                    ?>
                    
                    <div class="box-produto">

                        <div class="etiquetas">

                            <?php

                                if($sqlprod['preco_promocional'] <> "0.00"){
                                    echo '<img src="'.HOST.'images/etiquetas/icon-desconto.png" alt="Produto com Desconto" />';
                                }

                                $selectetiqueta =   mysql_query("SELECT e.nome, e.cod, e.imagem FROM tb_etiquetas e, tb_prod_etiqueta cp WHERE e.status = 1 AND cp.cod_etiqueta = e.cod AND cp.cod_prod = $codprod ORDER BY e.ordem ASC");
                                while($sqleti   =   mysql_fetch_array($selectetiqueta)){
                                    echo '<img src="'.HOST.'images/etiquetas/'.$sqleti["imagem"].'" alt="'.$sqleti["nome"].'" />';
                                }
                            ?>

                        </div>

                        <div class="box-img">

                            <a href="<?php echo $url ?>">
                                <img  data-url="<?php echo HOST."images/produtos/principal/miniatura/"; if($sqlprod['imagem_principal'] <> "") { echo $sqlprod['imagem_principal']; } else { echo "prod-sem-foto.png"; }?>" src="<?php echo HOST."images/loading.gif"; ?>" alt="<?php echo $sqlprod['nome']; ?>" class="lazy-img" />
                            </a>

                        </div>

                        <div class="price">

                            <?php                         

                            echo "<p class='nome'><a href='".$url."'>".$sqlprod['nome']."</a></p>";

                            if($sqlprod['preco_promocional'] <> "0.00"){

                                $precof  =   $sqlprod['preco_promocional'];   

                            echo "<p>R$ ".priceF($sqlprod['preco_promocional'])."<span>R$ ".priceF($sqlprod['preco'])."</span></p>";

                            } else {

                                $precof  =   $sqlprod['preco'];   

                                echo "<p>R$ ".priceF($sqlprod['preco'])."</p>";
                            }

                            ?>

                        </div>

                    </div>

                <?php } } else {


                    echo "<p class='return-0r'>$msgerro</p>";

                }?>

                </section>

            </div>

        </div>

    </div>  
    
<?php pegaFooter(); ?>


</body>
</html>

<?php } ?>
